import { NgModule } from '@angular/core';
import { IonicApp, IonicModule } from 'ionic-angular';
import { MyApp } from './app.component';

import { LoginPage } from '../pages/login/login';
import { HallPage } from '../pages/hall/hall';
import { HomePage } from '../pages/home/home';

import { CustomerListPage } from '../pages/customer-list/customer-list';
import { ProductListPage } from '../pages/product-list/product-list';
import { ProductOptions } from '../pages/product-list/product-options';
import { ProductDetailsPage } from '../pages/product-details/product-details';
import { LeadListPage } from '../pages/lead-list/lead-list';
import { OpportunityListPage } from '../pages/opportunity-list/opportunity-list';
import { CallListPage } from '../pages/call-list/call-list';

import { ProjectListPage } from '../pages/project-list/project-list';
import { TaskListPage } from '../pages/task-list/task-list';

import { ToolsPage } from '../pages/tools/tools'
import { SettingsPage } from '../pages/settings/settings';
import { AboutPage } from '../pages/about/about'

import { DataProvider } from '../providers/data-provider';
import { OdooProvider } from '../providers/odoo-provider';
import { SyncProvider } from '../providers/sync-provider';
import { NetworkProvider } from '../providers/network-provider';
import { PreferencesProvider } from '../providers/preferences-provider';
import { ToolsProvider } from '../providers/tools-provider';

import { ViewMenu } from '../pipes/view-menu-pipe';
import { ImageSanitizerPipe } from '../pipes/image-sanitizer-pipe';
import { ChartModule } from 'ng2-chartjs2';

@NgModule({
    declarations: [
        MyApp,
        LoginPage,
        HallPage,
        HomePage,
        CustomerListPage,
        ProductListPage,
        ProductOptions,
        ProductDetailsPage,
        LeadListPage,
        OpportunityListPage,
        CallListPage,
        ProjectListPage,
        TaskListPage,
        ToolsPage,
        SettingsPage,
        AboutPage,
        ViewMenu,
        ImageSanitizerPipe
    ],
    imports: [
        IonicModule.forRoot(MyApp),
        ChartModule
    ],
    bootstrap: [IonicApp],
    entryComponents: [
        MyApp,
        LoginPage,
        HallPage,
        HomePage,
        CustomerListPage,
        ProductListPage,
        ProductOptions,
        ProductDetailsPage,
        LeadListPage,
        OpportunityListPage,
        CallListPage,
        ProjectListPage,
        TaskListPage,
        ToolsPage,
        SettingsPage,
        AboutPage
    ],
    providers: [
        DataProvider,
        OdooProvider,
        SyncProvider,
        NetworkProvider,
        PreferencesProvider,
        ToolsProvider
    ]
})
export class AppModule {}
